GET /api/v3/flag/{entityType}/{entityId}

Get flag data for a specified entity

GetFlagV3 Permissions: FlaggedItems (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
entityType The type of entity the flag is being request for. Supported values are: “Bill” string Required
entityId The identifier of the entity integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

FlagResponse
Property Description Type
assignees All users currently assigned to this flag UserChild[]
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
costRecovery Cost recovery associated with the issue this flag represents number (double)
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate Date the flag was created string (date-time)
flagEvents All events and actions that have occurred with this flag FlagEventChild[]
FlagEventChild properties
Property Description Type
comment Comment about the flag event string
createdBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
createdDate Date that this flag event was created string (date-time)
description Description of the flag event string
flagAction FlagActionChild
FlagActionChild properties
Property Description Type
flagActionId The flag action identifier integer (int32)
flagActionInfo Flag action information string
flagEventId The flag event identifier integer (int32)
flagId The flag identifier integer (int32)
flagIssues All issues associated with the flag Even if the flag is marked as resolved, the list of issues that were on the flag at that time will remain. This keeps a historic record and allows for filtering. FlagIssueTypeChild[]
FlagIssueTypeChild properties
Property Description Type
flagIssueCategory Flag issue category string
flagIssueTypeDescription More detailed description of the flag issue type string
flagIssueTypeId The flag issue type identifier integer (int32)
flagIssueTypeInfo Flag issue info string
flagStatus FlagStatusChild
FlagStatusChild properties
Property Description Type
flagStatusId The flag status identifier integer (int32)
flagStatusInfo Flag status information string
flagType FlagTypeChild
FlagTypeChild properties
Property Description Type
flagTypeId The flag type identifier integer (int32)
flagTypeInfo Flag type information string
modifiedBy UserChild
UserChild properties
Property Description Type
fullName The user’s full name string
userCode The user code string
userId The user identifier integer (int32)
modifiedDate Latest date the flag was modified string (date-time)
Example Response application/json
{  "assignees": [
    {    "fullName": "string",    "userCode": "string",    "userId": 1
  }
  ],  "costRecovery": 1.0,  "createdBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "createdDate": "2026-03-30",  "flagEvents": [
    {    "comment": "string",    "createdBy": {      "fullName": "string",      "userCode": "string",      "userId": 1
    },    "createdDate": "2026-03-30",    "description": "string",    "flagAction": {      "flagActionId": 1,      "flagActionInfo": "string"
    },    "flagEventId": 1
  }
  ],  "flagId": 1,  "flagIssues": [
    {    "flagIssueCategory": "string",    "flagIssueTypeDescription": "string",    "flagIssueTypeId": 1,    "flagIssueTypeInfo": "string"
  }
  ],  "flagStatus": {    "flagStatusId": 1,    "flagStatusInfo": "string"
  },  "flagType": {    "flagTypeId": 1,    "flagTypeInfo": "string"
  },  "modifiedBy": {    "fullName": "string",    "userCode": "string",    "userId": 1
  },  "modifiedDate": "2026-03-30"
}
204 No Content The request succeeded. No content is returned in the response body.